Page MenuHomePhabricator

Migrate Ekonomi from Nextcloud to Drive
Closed, ResolvedPublic

Description

  • Ingen tidsbegränsning för när de kan flyttas
  • 2012, 2014, 2012.zip ska inte flyttas. Rensning pågår och slutresultat går direkt till Drive.
  • Även 2020 kan föras över

Event Timeline

Evelina-Bang-WMSE added a comment.EditedJan 16 2020, 2:59 PM

I've transfered these to Drive so far, but not deleted them from Nextcloud:

  • 2008
  • 2009
  • 2010
  • 2011
  • 2012
  • 2013
  • 2014

To keep track of things, I've added notes to the folder names for now.

Evelina-Bang-WMSE added a comment.EditedJan 23 2020, 2:44 PM

I've transfered these to Drive so far, but not deleted them from Nextcloud. To keep track of things, I've added notes to the folder names for now.

  • 2008
  • 2009
  • 2010
  • 2011
  • 2012
  • 2013
  • 2014
  • 2015
  • 2016
  • 2017
  • 2018 - for this folder in Drive, I've removed the note about it being transfered from Nextcloud and "integrated" it into the Economy-folder. But I haven't moved the folders that we want to move somewhere else, such as Diarium.
  • 2019 - for this folder in Drive, I've removed the note about it being transfered from Nextcloud and "integrated" it into the Economy-folder. But I haven't moved the folders that we want to move somewhere else, such as Diarium.
  • 2020

@Evelina-Bang-WMSE Should the number of files in Nextcloud and Drive be the same for all of these years? Mainly checking in case we want to do a sanity check before deleting

It's unclear to me what the status is for 2018, 2019. Could you expand?

@Evelina-Bang-WMSE Should the number of files in Nextcloud and Drive be the same for all of these years? Mainly checking in case we want to do a sanity check before deleting

The numbers shouldn't be wildly off for any folder, but I might have moved or removed a file or two, especially in 2018 (might have) and 2019 (definitely have).

It's unclear to me what the status is for 2018, 2019. Could you expand?

I'll try explaining better by examples of folders on Drive right now:

  • Ekonomi
    • 2013
      • 2013 - hitflyttad från Nextcloud
        • verifikat
        • diarie pärm 2012-2013
        • ...
    • 2018
      • Verifikat 2018
      • Diarium 2018
      • ...

It's unclear to me what the status is for 2018, 2019. Could you expand?

I'll try explaining better by examples of folders on Drive right now:

  • Ekonomi
    • 2013
      • 2013 - hitflyttad från Nextcloud
        • verifikat
        • diarie pärm 2012-2013
        • ...
    • 2018
      • Verifikat 2018
      • Diarium 2018
      • ...

Thanks. Then I don't see this as a blocker for deleting things from Nextcloud

@Evelina-Bang-WMSE Should the number of files in Nextcloud and Drive be the same for all of these years? Mainly checking in case we want to do a sanity check before deleting

The numbers shouldn't be wildly off for any folder, but I might have moved or removed a file or two, especially in 2018 (might have) and 2019 (definitely have).

Thanks then I'll do a quick sanity check before deleting each folder.

Lokal_Profil added a comment.EditedJan 30 2020, 9:02 AM
FolderNumber of Files (Drive)Number of Files (Nextcloud)
20082626
20091010
20101919
2011175261
20121002399
201321592731
201425173117
201516602045
201614241757
2017925954
2018591597
2019625610
20203944

[table]

A few too many differences. Some (like 2012) are probably becuase I've unpacked zip-files. But I'll try and look at it next week.

Updated the counting script to find . -type d -print0 | while read -d '' -r dir; do files=$((ls -Ap "$dir"| grep -v '/$') | wc -l); printf "%5d files in directory %s\n" "$files" "$dir"; done this counts hidden files but not directories

FolderNumber of Files (Drive)Number of Files (Nextcloud)
20082626
20091010
20101919
2011175175
20121002279
201321592157
201425172435
201516601655
201614241413
2017925886
2018591553
2019625578
20203928

Updated the counting script to find . -type d -print0 | while read -d '' -r dir; do files=$((ls -Ap "$dir"| grep -v '/$') | wc -l); printf "%5d files in directory %s\n" "$files" "$dir"; done this counts hidden files but not directories
[table]

For my memory: For 2018 and 2019 the decidedly higher file count is probably because I've unpacked zip-files from the diarium.

I can break counts down per subdirectory if that helps

I can break counts down per subdirectory if that helps

Yes, that would be great!

Deleting 2008-2011, 2013, 2015 should be ok since these are completely un-problematic (file count wise). 2013 and 2015 only differs because there are files in Drive "above" the level of "201X hitflyttat från nextcloud".

Breakdown can be seen in https://docs.google.com/spreadsheets/d/196aTpxO0uvtr5zYiB3pvvWcg8_SGdPCvts9w3MIM9QU/edit, sadly 2016 and 2017 (on Drive) are acting up right now but I should be able to add them later.

Lokal_Profil added a comment.EditedFeb 6 2020, 3:37 PM

Breakdown can be seen in https://docs.google.com/spreadsheets/d/196aTpxO0uvtr5zYiB3pvvWcg8_SGdPCvts9w3MIM9QU/edit, sadly 2016 and 2017 (on Drive) are acting up right now but I should be able to add them later.

2016 and 2017 now also available

Will hold on deleting the files from Nextcloud until Evelina confirms migration was successfull

Will hold on deleting the files from Nextcloud until Evelina confirms migration was successfull

With the new count, everything seems to be fine. Where there is a big difference, it seems to be because of zip-folders.

Files deleted from Nextcloud

Lokal_Profil closed this task as Resolved.Fri, Mar 20, 11:22 AM
Lokal_Profil moved this task from Backlog to Done on the User-LokalProfil board.